Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Class TaxInformationImpl

    java.lang.Object
      com.beasys.commerce.foundation.BelongingImpl
          com.beasys.commerce.ebusiness.tax.TaxInformationImpl

All Implemented Interfaces
  TaxInformation, Belonging, BusinessSmartComponent, RelationalReference, Serializable, Cloneable, Comparable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class TaxInformationImpl

extends BelongingImpl
implements TaxInformation, Cloneable

A Tax Information class is used to report the taxes totals for each entity. total is the sum of all children taxlineresult.tax

See Also
  `TaxInformation`, `TaxInformationHome`, Serialized Form

Field Summary
`Collection` | `entityTax` Deprecated See BEA Commerce product offering
`Price` | `total` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`TaxInformationImpl()` Deprecated See BEA Commerce product offering

Method Summary
`boolean` | `addEntityTax(TaxLineResult element)` Deprecated See BEA Commerce product offering
`boolean` | `addEntityTaxCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `clearEntityTaxCollection()` Deprecated See BEA Commerce product offering
`int` | `compareTo(Object o)` Deprecated See BEA Commerce product offering
`boolean` | `containsEntityTax(TaxLineResult element)` Deprecated See BEA Commerce product offering
`boolean` | `containsEntityTaxCollection(Collection collection)` Deprecated See BEA Commerce product offering
`int` | `entityTaxCollectionHashCode()` Deprecated See BEA Commerce product offering
`Iterator` | `entityTaxCollectionIterator()` Deprecated See BEA Commerce product offering
`int` | `entityTaxCollectionSize()` Deprecated See BEA Commerce product offering
`boolean` | `equalsEntityTaxCollection(Object object)` Deprecated See BEA Commerce product offering
`Collection` | `getEntityTaxCollection()` Deprecated See BEA Commerce product offering
`Price` | `getTotal()` Deprecated See BEA Commerce product offering
`String` | `interfaceName()` Deprecated See BEA Commerce product offering
`boolean` | `isEntityTaxCollectionEmpty()` Deprecated See BEA Commerce product offering
`boolean` | `removeEntityTax(TaxLineResult element)` Deprecated See BEA Commerce product offering
`boolean` | `removeEntityTaxCollection(Collection collection)` Deprecated See BEA Commerce product offering
`boolean` | `retainEntityTaxCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `setByValue(Belonging value)` Deprecated See BEA Commerce product offering
`void` | `setEntityTaxCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `setTotal(Price total)` Deprecated See BEA Commerce product offering
`Belonging` | `value()` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals`

Field Detail

### total

    public Price total

  Deprecated See BEA Commerce product offering
  This is the total tax for the order or the line item.
  - Containment: By Value
  - Multiplicity: 1:1

### entityTax

    public Collection entityTax

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 0:N
  - Interface: java.util.Collection

Constructor Detail

### TaxInformationImpl

    public TaxInformationImpl()

  Deprecated See BEA Commerce product offering

Method Detail

### getTotal

    public Price getTotal()

  Deprecated See BEA Commerce product offering

  Get the value of total

  Specified by:
    `getTotal` in interface `TaxInformation`
  Returns
    total.

### setTotal

    public void setTotal(Price total)

  Deprecated See BEA Commerce product offering

  Set the value of total

  Specified by:
    `setTotal` in interface `TaxInformation`
  Parameters
    `total` - total to be added

### getEntityTaxCollection

    public Collection getEntityTaxCollection()

  Deprecated See BEA Commerce product offering

  Returns a deep copy of the entire collection

  Specified by:
    `getEntityTaxCollection` in interface `TaxInformation`

### setEntityTaxCollection

    public void setEntityTaxCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Sets the entire collection

  Specified by:
    `setEntityTaxCollection` in interface `TaxInformation`

### addEntityTax

    public boolean addEntityTax(TaxLineResult element)

  Deprecated See BEA Commerce product offering

  Ensures that this collection contains the specified element (optional operation).

  Specified by:
    `addEntityTax` in interface `TaxInformation`

### addEntityTaxCollection

    public boolean addEntityTaxCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Adds all of the elements in the specified collection to this collection (optional operation).

  Specified by:
    `addEntityTaxCollection` in interface `TaxInformation`

### clearEntityTaxCollection

    public void clearEntityTaxCollection()

  Deprecated See BEA Commerce product offering

  Removes all of the elements from this collection (optional operation).

  Specified by:
    `clearEntityTaxCollection` in interface `TaxInformation`

### containsEntityTax

    public boolean containsEntityTax(TaxLineResult element)

  Deprecated See BEA Commerce product offering

  Returns true if this collection contains the specified element.

  Specified by:
    `containsEntityTax` in interface `TaxInformation`

### containsEntityTaxCollection

    public boolean containsEntityTaxCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Returns true if this collection contains all of the elements in the specified collection.

  Specified by:
    `containsEntityTaxCollection` in interface `TaxInformation`

### equalsEntityTaxCollection

    public boolean equalsEntityTaxCollection(Object object)

  Deprecated See BEA Commerce product offering

  Compares the specified object with this collection for equality.

  Specified by:
    `equalsEntityTaxCollection` in interface `TaxInformation`

### entityTaxCollectionHashCode

    public int entityTaxCollectionHashCode()

  Deprecated See BEA Commerce product offering

  Returns the hash code value for this collection.

  Specified by:
    `entityTaxCollectionHashCode` in interface `TaxInformation`

### isEntityTaxCollectionEmpty

    public boolean isEntityTaxCollectionEmpty()

  Deprecated See BEA Commerce product offering

  Returns true if this collection contains no elements.

  Specified by:
    `isEntityTaxCollectionEmpty` in interface `TaxInformation`

### entityTaxCollectionIterator

    public Iterator entityTaxCollectionIterator()

  Deprecated See BEA Commerce product offering

  Returns an iterator over the elements in this collection.

  Specified by:
    `entityTaxCollectionIterator` in interface `TaxInformation`

### removeEntityTax

    public boolean removeEntityTax(TaxLineResult element)

  Deprecated See BEA Commerce product offering

  Removes a single instance of the specified element from this collection, if it is present (optional operation).

  Specified by:
    `removeEntityTax` in interface `TaxInformation`

### removeEntityTaxCollection

    public boolean removeEntityTaxCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Removes all this collection's elements that are also contained in the specified collection (optional operation).

  Specified by:
    `removeEntityTaxCollection` in interface `TaxInformation`

### retainEntityTaxCollection

    public boolean retainEntityTaxCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Retains only the elements in this collection that are contained in the specified collection (optional operation).

  Specified by:
    `retainEntityTaxCollection` in interface `TaxInformation`

### entityTaxCollectionSize

    public int entityTaxCollectionSize()

  Deprecated See BEA Commerce product offering

  Returns the number of elements in this collection.

  Specified by:
    `entityTaxCollectionSize` in interface `TaxInformation`

### value

    public Belonging value()

  Deprecated See BEA Commerce product offering

  value() is a more typesafe implementation of clone()

  Specified by:
    `value` in interface `Belonging`
  Returns
    a clone of this instance

### interfaceName

    public String interfaceName()

  Deprecated See BEA Commerce product offering

  interfaceName() returns the unqualified name of the interface from the UML model

  Specified by:
    `interfaceName` in interface `Belonging`
  Returns
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  Deprecated See BEA Commerce product offering

  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Specified by:
    `setByValue` in interface `Belonging`
  Overrides:
    `setByValue` in class `BelongingImpl`
  Parameters
    `value` - The `Belonging` to use for initialization.

### compareTo

    public int compareTo(Object o)

  Deprecated See BEA Commerce product offering

  Compare this belonging to another

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in class `BelongingImpl`
  Parameters
    `o` - target object for comparision
  Returns
    0 objects are equal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved